{
    "class": "Workflow",
    "doc": "Counts words of a message via echo and wc",
    "inputs": [
        {
            "type": "string",
            "id": "#main/wfmessage"
        }
    ],
    "steps": [
        {
            "run": {
                "cwlVersion": "v1.0",
                "class": "CommandLineTool",
                "baseCommand": "echo",
                "inputs": [
                    {
                        "type": "string",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#_:echo/message"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "id": "#_:echo/echoed",
                        "outputBinding": {
                            "glob": "8341e6646e16f373b00fc5a45b4f299d5901b0ad"
                        }
                    }
                ],
                "id": "#_:echo",
                "stdout": "8341e6646e16f373b00fc5a45b4f299d5901b0ad"
            },
            "in": [
                {
                    "source": "#main/wfmessage",
                    "id": "#main/echo/message"
                }
            ],
            "out": [
                "#main/echo/echoed"
            ],
            "id": "#main/echo"
        },
        {
            "run": {
                "cwlVersion": "v1.0",
                "class": "CommandLineTool",
                "baseCommand": "wc",
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#_:wc/file2count"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "id": "#_:wc/wced",
                        "outputBinding": {
                            "glob": "bcd587c62be60d5d0473ee2c39dc73257b20ecca"
                        }
                    }
                ],
                "id": "#_:wc",
                "stdout": "bcd587c62be60d5d0473ee2c39dc73257b20ecca"
            },
            "in": [
                {
                    "source": "#main/echo/echoed",
                    "id": "#main/wc/file2count"
                }
            ],
            "out": [
                "#main/wc/wced"
            ],
            "id": "#main/wc"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": "File",
            "outputSource": "#main/wc/wced",
            "id": "#main/wfcount"
        }
    ],
    "cwlVersion": "v1.0"
}
